NodeRings Docs

List Refunds

ListRefunds lists refunds for a payment, invoice, or organization

GET
/v1/refunds
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

paymentId?string
invoiceId?string
status?string
Value in"REFUND_STATUS_UNSPECIFIED" | "REFUND_STATUS_PENDING" | "REFUND_STATUS_PROCESSING" | "REFUND_STATUS_SUCCEEDED" | "REFUND_STATUS_FAILED" | "REFUND_STATUS_CANCELED"
page?integer
Formatint32
pageSize?integer
Formatint32

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/refunds?paymentId&invoiceId&status&page&pageSize" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "refunds": [
    {
      "id": "string",
      "paymentId": "string",
      "refundStatus": "REFUND_STATUS_UNSPECIFIED",
      "amount": "string",
      "currency": "string",
      "providerRefundId": "string",
      "paymentProvider": "string",
      "failureReason": "string",
      "processedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    }
  ],
  "totalCount": 0,
  "page": 0,
  "pageSize": 0
}